components:
  schemas:
    ProcessorMetrics_v1_0_3_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/ProcessorMetrics_v1_0_3_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    ProcessorMetrics_v1_0_3_CStateResidency:
      additionalProperties: false
      description: The C-state residency of the processor.
      properties:
        Level:
          description: The C-state level, such as C0, C1, or C2.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the C-state level, such as
            C0, C1, or C2.  When this resource is subordinate to the ProcessorSummary
            object, this property is not applicable.
        ResidencyPercent:
          description: The percentage of time that the processor or core has spent
            in this particular level of C-state.
          minimum: 0
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the percentage of time that
            the processor or core has spent in this particular level of C-state.  When
            this resource is subordinate to the ProcessorSummary object, this property
            is not applicable.
          x-units: '%'
      type: object
      x-longDescription: This type shall contain properties that describe the C-state
        residency of the processor or core.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    ProcessorMetrics_v1_0_3_CacheMetrics:
      additionalProperties: false
      description: The processor core metrics.
      properties:
        CacheMiss:
          description: The number of cache line misses in millions.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of cache line
            misses of the processor or core in millions.
        CacheMissesPerInstruction:
          description: The number of cache misses per instruction.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of cache misses
            per instruction of the processor or core.
        HitRatio:
          description: The cache line hit ratio.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the cache hit ratio of the
            processor or core.
        Level:
          description: The cache level.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the level of the cache in
            the processor or core.
        OccupancyBytes:
          description: The total cache level occupancy in bytes.
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the total cache occupancy
            of the processor or core in bytes.
          x-units: By
        OccupancyPercent:
          description: The total cache occupancy percentage.
          minimum: 0
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the total cache occupancy
            percentage of the processor or core.
          x-units: '%'
      type: object
      x-longDescription: This type shall contain properties that describe cache metrics
        of a processor or core.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    ProcessorMetrics_v1_0_3_CoreMetrics:
      additionalProperties: false
      description: The processor core metrics.
      properties:
        CStateResidency:
          description: The C-state residency of this core in the processor.
          items:
            $ref: '#/components/schemas/ProcessorMetrics_v1_0_3_CStateResidency'
          type: array
          x-longDescription: This property shall contain properties that describe
            the C-state residency of this core in the processor.
        CoreCache:
          description: The cache metrics of this core in the processor.
          items:
            $ref: '#/components/schemas/ProcessorMetrics_v1_0_3_CacheMetrics'
          type: array
          x-longDescription: This property shall contain properties that describe
            the cache metrics of this core in the processor.
        CoreId:
          description: The processor core identifier.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the identifier of the core
            within the processor.
        IOStallCount:
          description: The number of stalled cycles due to I/O operations.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of stalled cycles
            due to I/O operations of this core in the processor.
        InstructionsPerCycle:
          description: The number of instructions per clock cycle of this core.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of instructions
            per clock cycle of this core in the processor.
        MemoryStallCount:
          description: The number of stalled cycles due to memory operations.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of stalled cycles
            due to memory operations of this core in the processor.
        UnhaltedCycles:
          description: The unhalted cycles count of this core.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of unhalted cycles
            of this core in the processor.
      type: object
      x-longDescription: This type shall contain properties that describe the cores
        of a processor.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    ProcessorMetrics_v1_0_3_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    ProcessorMetrics_v1_0_3_ProcessorMetrics:
      additionalProperties: false
      description: The ProcessorMetrics schema contains usage and health statistics
        for a processor.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/ProcessorMetrics_v1_0_3_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        AverageFrequencyMHz:
          description: The average frequency of the processor.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain average frequency in MHz,
            across all enabled cores in the processor.  When this resource is subordinate
            to the ProcessorSummary object, this property is not applicable.
          x-units: MHz
        BandwidthPercent:
          description: The CPU bandwidth as a percentage.
          minimum: 0
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain CPU utilization of the processor
            as a percentage.  When this resource is subordinate to the ProcessorSummary
            object, this property shall be the CPU utilization over all processors
            as a percentage.
          x-units: '%'
        Cache:
          description: The processor cache metrics.
          items:
            $ref: '#/components/schemas/ProcessorMetrics_v1_0_3_CacheMetrics'
          type: array
          x-longDescription: This property shall contain properties that describe
            this processor's cache.  When this resource is subordinate to the ProcessorSummary
            object, this property is not applicable.
        ConsumedPowerWatt:
          description: The power, in watts, that the processor has consumed.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the power, in watts, that
            the processor has consumed.  When this resource is subordinate to the
            ProcessorSummary object, this property shall be the sum of power, in watts,
            that all processors have consumed.
          x-units: W
        CoreMetrics:
          description: The processor core metrics.
          items:
            $ref: '#/components/schemas/ProcessorMetrics_v1_0_3_CoreMetrics'
          type: array
          x-longDescription: This property shall contain properties that describe
            the cores of this processor.  When this resource is subordinate to the
            ProcessorSummary object, this property is not applicable.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        FrequencyRatio:
          description: The frequency relative to the nominal processor frequency ratio.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the frequency relative to
            the nominal processor frequency ratio of this processor.  When this resource
            is subordinate to the ProcessorSummary object, this property shall be
            the average FrequencyRatio over all processors.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        KernelPercent:
          description: The percentage of time spent in kernel mode.
          minimum: 0
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain total percentage of time
            the processor has spent in kernel mode.  When this resource is subordinate
            to the ProcessorSummary object, this property shall be the average KernelPercent
            over all processors.
          x-units: '%'
        LocalMemoryBandwidthBytes:
          description: The local memory bandwidth usage in bytes.
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the local memory bandwidth
            usage of this processor in bytes.  When this resource is subordinate to
            the ProcessorSummary object, this property shall be the sum of LocalMemoryBandwidthBytes
            over all processors.
          x-units: By
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        RemoteMemoryBandwidthBytes:
          description: The remote memory bandwidth usage in bytes.
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the remote memory bandwidth
            usage of this processor in bytes.  When this resource is subordinate to
            the ProcessorSummary object, this property shall be the sum of RemoteMemoryBandwidthBytes
            over all processors.
          x-units: By
        TemperatureCelsius:
          description: The temperature of the processor.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the temperature, in Celsius,
            of the processor.  When this resource is subordinate to the ProcessorSummary
            object, this property shall be the average temperature, in Celcius, over
            all processors.
          x-units: Cel
        ThrottlingCelsius:
          description: The CPU margin to throttle (temperature offset in degree Celsius).
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the CPU margin to throttle
            based on an offset between the maximum temperature in which the processor
            can operate, and the processor's current temperature.  When this resource
            is subordinate to the ProcessorSummary object, this property is not applicable.
          x-units: Cel
        UserPercent:
          description: The percentage of time spent in user mode.
          minimum: 0
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain total percentage of time
            the processor has spent in user mode.  When this resource is subordinate
            to the ProcessorSummary object, this property shall be the average UserPercent
            over all processors.
          x-units: '%'
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource contains the processor metrics for a single
        processor in a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#ProcessorMetrics.v1_0_3.ProcessorMetrics'
x-copyright: Copyright 2014-2020 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2018.3'
